Share via


Table - Create

Creates a new table with the specified table name, under the specified account.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Storage/storageAccounts/{accountName}/tableServices/default/tables/{tableName}?api-version=2025-08-01

URI Parameters

Name In Required Type Description
accountName
path True

string

minLength: 3
maxLength: 24
pattern: ^[a-z0-9]+$

The name of the storage account within the specified resource group. Storage account names must be between 3 and 24 characters in length and use numbers and lower-case letters only.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

tableName
path True

string

minLength: 3
maxLength: 63
pattern: ^[A-Za-z][A-Za-z0-9]{2,62}$

A table name must be unique within a storage account and must be between 3 and 63 characters.The name must comprise of only alphanumeric characters and it cannot begin with a numeric character.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
properties.signedIdentifiers

TableSignedIdentifier[]

List of stored access policies specified on the table.

Responses

Name Type Description
200 OK

Table

Resource 'Table' update operation succeeded

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

TableOperationPut
TableOperationPutOrPatchAcls

TableOperationPut

Sample request

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/res3376/providers/Microsoft.Storage/storageAccounts/sto328/tableServices/default/tables/table6185?api-version=2025-08-01

Sample response

{
  "name": "table6185",
  "type": "Microsoft.Storage/storageAccounts/tableServices/tables",
  "id": "/subscriptions/{subscription-id}/resourceGroups/res3376/providers/Microsoft.Storage/storageAccounts/sto328/tableServices/default/tables/table6185",
  "properties": {
    "tableName": "table6185"
  }
}

TableOperationPutOrPatchAcls

Sample request

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/res3376/providers/Microsoft.Storage/storageAccounts/sto328/tableServices/default/tables/table6185?api-version=2025-08-01

{
  "properties": {
    "signedIdentifiers": [
      {
        "accessPolicy": {
          "expiryTime": "2022-03-20T08:49:37.0000000Z",
          "permission": "raud",
          "startTime": "2022-03-17T08:49:37.0000000Z"
        },
        "id": "MTIzNDU2Nzg5MDEyMzQ1Njc4OTAxMjM0NTY3ODkwMTI"
      },
      {
        "accessPolicy": {
          "expiryTime": "2022-03-20T08:49:37.0000000Z",
          "permission": "rad",
          "startTime": "2022-03-17T08:49:37.0000000Z"
        },
        "id": "PTIzNDU2Nzg5MDEyMzQ1Njc4OTAxMjM0NTY3ODklMTI"
      }
    ]
  }
}

Sample response

{
  "name": "table6185",
  "type": "Microsoft.Storage/storageAccounts/tableServices/tables",
  "id": "/subscriptions/{subscription-id}/resourceGroups/res3376/providers/Microsoft.Storage/storageAccounts/sto328/tableServices/default/tables/table6185",
  "properties": {
    "signedIdentifiers": [
      {
        "accessPolicy": {
          "expiryTime": "2022-03-20T08:49:37.0000000Z",
          "permission": "raud",
          "startTime": "2022-03-17T08:49:37.0000000Z"
        },
        "id": "MTIzNDU2Nzg5MDEyMzQ1Njc4OTAxMjM0NTY3ODkwMTI"
      },
      {
        "accessPolicy": {
          "expiryTime": "2022-03-20T08:49:37.0000000Z",
          "permission": "rad",
          "startTime": "2022-03-17T08:49:37.0000000Z"
        },
        "id": "PTIzNDU2Nzg5MDEyMzQ1Njc4OTAxMjM0NTY3ODklMTI"
      }
    ],
    "tableName": "table6185"
  }
}

Definitions

Name Description
CloudError

An error response from the Storage service.

CloudErrorBody

An error response from the Storage service.

Table

Properties of the table, including Id, resource name, resource type.

TableAccessPolicy

Table Access Policy Properties Object.

TableSignedIdentifier

Object to set Table Access Policy.

CloudError

An error response from the Storage service.

Name Type Description
error

CloudErrorBody

An error response from the Storage service.

CloudErrorBody

An error response from the Storage service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.

Table

Properties of the table, including Id, resource name, resource type.

Name Type Description
id

string

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

The name of the resource

properties.signedIdentifiers

TableSignedIdentifier[]

List of stored access policies specified on the table.

properties.tableName

string

Table name under the specified account

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

TableAccessPolicy

Table Access Policy Properties Object.

Name Type Description
expiryTime

string (date-time)

Expiry time of the access policy

permission

string

Required. List of abbreviated permissions. Supported permission values include 'r','a','u','d'

startTime

string (date-time)

Start time of the access policy

TableSignedIdentifier

Object to set Table Access Policy.

Name Type Description
accessPolicy

TableAccessPolicy

Access policy

id

string

unique-64-character-value of the stored access policy.